using System;
using System.Data;
using System.Web;
using System.Web.UI;
using BoyunBase;
using SiteCore;

public partial class Part_AdminEntry : System.Web.UI.UserControl
{
    protected void Page_Load( object sender, EventArgs e )
    {
        try {
            if( IsPostBack ) return;

            PartAccess pAcs = new PartAccess( this );
            if( !pAcs.IsReady ) return;

            lnkEntry.HRef = "~/Admin/frameset.aspx";

            bool isNewOpen = pAcs.GetSettingBool( "IsNewOpen" );
            if( isNewOpen )
                lnkEntry.Target = "_blank";

            string strText = pAcs.GetSetting( "NoteText" );
            if( strText != "" )
                lnkEntry.InnerText = strText;
            else
                lnkEntry.InnerText = "管理员入口";

        } catch( Exception ex ) {
            Todo.DebugOut( "加载 Part_AdminEntry 出现异常：" + ex.Message );
        }
    }
}
